{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "busco_download_datasets",
  "description": "Downloads available busco datasets",
  "type": "object",
  "$defs": {
    "inputs": {
      "title": "Inputs",
      "type": "object",
      "description": "No description",
      "properties": {
        "download": {
          "type": "string",
          "description": "Download dataset",
          "help_text": "Type: `string`, multiple: `False`, required, example: `\"stramenopiles_odb10\"`. "
        }
      }
    },
    "outputs": {
      "title": "Outputs",
      "type": "object",
      "description": "No description",
      "properties": {
        "download_path": {
          "type": "string",
          "format": "path",
          "description": "Local filepath for storing BUSCO dataset downloads\n",
          "help_text": "Type: `file`, multiple: `False`, default: `\"busco_downloads\"`, direction: `output`, example: `\"busco_downloads\"`. ",
          "default": "busco_downloads"
        }
      }
    },
    "nextflow input-output arguments": {
      "title": "Nextflow input-output arguments",
      "type": "object",
      "description": "Input/output parameters for Nextflow itself. Please note that both publishDir and publish_dir are supported but at least one has to be configured.",
      "properties": {
        "publish_dir": {
          "type": "string",
          "description": "Path to an output directory.",
          "help_text": "Type: `string`, multiple: `False`, required, example: `\"output/\"`. "
        }
      }
    }
  },
  "allOf": [
    {
      "$ref": "#/$defs/inputs"
    },
    {
      "$ref": "#/$defs/outputs"
    },
    {
      "$ref": "#/$defs/nextflow input-output arguments"
    }
  ]
}
